Loading...
Searching...
No Matches
ON_CheckSum Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_string.h>`

## Public Member Functions

| ON_CheckSum ()
| ~ON_CheckSum ()
void | Zero ()
bool | IsSet () const
bool | SetBufferCheckSum (std::size_t size, const void *buffer, time_t time)
bool | SetFileCheckSum (FILE *fp)
bool | SetFileCheckSum (const wchar_t *filename)
bool | CheckBuffer (std::size_t size, const void *buffer) const
bool | CheckFile (FILE *fp, bool bSkipTimeCheck=false) const
bool | CheckFile (const wchar_t *filename, bool bSkipTimeCheck=false) const
bool | Write (class ON_BinaryArchive &) const
bool | Read (class ON_BinaryArchive &)
void | Dump (class ON_TextLog &) const

## Public Attributes

std::size_t | m_size
time_t | m_time
ON__UINT32 | m_crc [8]

## Static Public Attributes

static const ON_CheckSum | UnsetCheckSum

## Detailed Description

Definition at line 273 of file opennurbs_string.h.

## Constructor & Destructor Documentation

## ON_CheckSum()

ON_CheckSum::ON_CheckSum | ( |  | ) |

## ~ON_CheckSum()

ON_CheckSum::~ON_CheckSum | ( |  | ) |

## Member Function Documentation

## CheckBuffer()

bool ON_CheckSum::CheckBuffer | ( | std::size_t | size,
|  | const void * | buffer ) const

## CheckFile() [1/2]

bool ON_CheckSum::CheckFile | ( | const wchar_t * | filename,
|  | bool | bSkipTimeCheck = false ) const

## CheckFile() [2/2]

bool ON_CheckSum::CheckFile | ( | FILE * | fp,
|  | bool | bSkipTimeCheck = false ) const

## Dump()

void ON_CheckSum::Dump | ( | class ON_TextLog & |  | ) | const

## IsSet()

bool ON_CheckSum::IsSet | ( |  | ) | const

## Read()

bool ON_CheckSum::Read | ( | class ON_BinaryArchive & |  | ) |

## SetBufferCheckSum()

bool ON_CheckSum::SetBufferCheckSum | ( | std::size_t | size,
|  | const void * | buffer,
|  | time_t | time )

## SetFileCheckSum() [1/2]

bool ON_CheckSum::SetFileCheckSum | ( | const wchar_t * | filename | ) |

## SetFileCheckSum() [2/2]

bool ON_CheckSum::SetFileCheckSum | ( | FILE * | fp | ) |

## Write()

bool ON_CheckSum::Write | ( | class ON_BinaryArchive & |  | ) | const

## Zero()

void ON_CheckSum::Zero | ( |  | ) |

## Member Data Documentation

## m_crc

ON__UINT32 ON_CheckSum::m_crc[8]

Definition at line 387 of file opennurbs_string.h.

## m_size

std::size_t ON_CheckSum::m_size

Definition at line 385 of file opennurbs_string.h.

## m_time

time_t ON_CheckSum::m_time

Definition at line 386 of file opennurbs_string.h.

## UnsetCheckSum

const ON_CheckSum ON_CheckSum::UnsetCheckSum

static

Definition at line 279 of file opennurbs_string.h.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_string.h